> For the complete documentation index, see [llms.txt](https://docs.txn.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.txn.io/channels/listing-channel-currency-pairs.md).

# Listing channel currency pairs

<mark style="color:green;">`GET`</mark> `/api/public/v1/channels/currency_pairs`

Returns the currency pairs your channels can be created with. Each pair is a `payCurrency` the end user deposits and the `targetCurrency` the deposit is credited in, with the networks of both currencies in `included[]`; use it to validate a channel request before creating it. For the platform-wide lists of currencies and networks, see [Listing channel currencies and networks](https://docs.txn.io/channels/listing-channel-currencies-and-networks.md).

**Headers**

| Name          | Value                    |
| ------------- | ------------------------ |
| Content-Type  | application/vnd.api+json |
| Authorization | Bearer \<api\_key>       |

**cURL**

```bash
curl "https://api.sandbox.txn.io/api/public/v1/channels/currency_pairs" \
     -H 'Content-Type: application/vnd.api+json' \
     -H 'Authorization: Bearer <api_key>'
```

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Currency pair ID.</td></tr><tr><td>data[].type</td><td>string</td><td>Entity type returned. Always <code>channelCurrencyPairs</code>.</td></tr><tr><td>data[].attributes</td><td>object</td><td>Set of currency pair attributes.</td></tr><tr><td>data[].attributes.enabled</td><td>boolean</td><td>If <code>true</code>, the currency pair is available for channels.</td></tr><tr><td>data[].relationships.payCurrency.id</td><td>string</td><td>Crypto currency the customer pays in. Refer to <a href="https://docs.txn.io/api-basics/supported-currencies.md">supported currencies</a>.</td></tr><tr><td>data[].relationships.targetCurrency.id</td><td>string</td><td>Settlement currency credited to your account.</td></tr><tr><td>data[].relationships.localCurrency.id</td><td>string</td><td>Deprecated alias of <code>targetCurrency</code>, kept for compatibility and flagged with <code>meta.deprecated</code>. Use <code>targetCurrency</code>.</td></tr><tr><td>included[].type(currencies).attributes</td><td>object</td><td>Currency details, including <code>code</code>, <code>symbol</code>, <code>crypto</code>, and <code>subunitToUnit</code>.</td></tr><tr><td>included[].type(network).attributes</td><td>object</td><td>Network details, including <code>code</code>, <code>name</code>, and <code>currencyCode</code>.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "82756d59-a72f-499f-9657-edae023ac222",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "USD"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "USDT"
          }
        }
      }
    },
    {
      "id": "0eb35771-0082-4ee0-b874-5d1b6028cefb",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "USD"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "BTC"
          }
        }
      }
    },
    {
      "id": "4edc1cad-abf5-4227-b8e2-b0369c6151af",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "USD"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRX"
          }
        }
      }
    },
    {
      "id": "aacdef29-b956-4e3b-ad4f-a4f930aa13d5",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "EUR"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "USDT"
          }
        }
      }
    },
    {
      "id": "1bf7de3d-20c5-4467-a1fe-303fe4aa664a",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "EUR"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "BTC"
          }
        }
      }
    },
    {
      "id": "db64658e-021f-45cb-9fff-3864d77ec87f",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "EUR"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRX"
          }
        }
      }
    },
    {
      "id": "d559ad26-3bef-461f-a84e-cf155bee71e2",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRY"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "USDT"
          }
        }
      }
    },
    {
      "id": "3459c743-9bff-4acb-82c5-2ad24405f13b",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRY"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "BTC"
          }
        }
      }
    },
    {
      "id": "e61e7914-af51-4479-af13-990a14cd0710",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRY"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRX"
          }
        }
      }
    },
    {
      "id": "863696ac-ca07-44db-8d0c-eb19e11bd623",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "USDT"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "USDT"
          }
        }
      }
    },
    {
      "id": "d1fb7205-0396-4dfb-a476-a7b9207c812d",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "BTC"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "BTC"
          }
        }
      }
    },
    {
      "id": "77a15352-b7e3-404a-ba4f-361a51161b52",
      "type": "channelCurrencyPairs",
      "attributes": {
        "enabled": false
      },
      "relationships": {
        "targetCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRX"
          }
        },
        "payCurrency": {
          "data": {
            "type": "currencies",
            "id": "TRX"
          }
        }
      }
    }
  ],
  "included": [
    {
      "id": "USD",
      "type": "currencies",
      "attributes": {
        "code": "USD",
        "crypto": false,
        "symbol": "$",
        "subunitToUnit": 100
      },
      "relationships": {
        "networks": {
          "data": []
        }
      }
    },
    {
      "id": "USDT",
      "type": "currencies",
      "attributes": {
        "code": "USDT",
        "crypto": true,
        "symbol": "₮",
        "subunitToUnit": 1000000
      },
      "relationships": {
        "networks": {
          "data": [
            {
              "type": "network",
              "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2"
            }
          ]
        }
      }
    },
    {
      "id": "BTC",
      "type": "currencies",
      "attributes": {
        "code": "BTC",
        "crypto": true,
        "symbol": "฿",
        "subunitToUnit": 100000000
      },
      "relationships": {
        "networks": {
          "data": [
            {
              "type": "network",
              "id": "c0369c57-da08-4c60-b5ee-63e1e43d5ae4"
            }
          ]
        }
      }
    },
    {
      "id": "TRX",
      "type": "currencies",
      "attributes": {
        "code": "TRX",
        "crypto": true,
        "symbol": "TRX",
        "subunitToUnit": 1000000
      },
      "relationships": {
        "networks": {
          "data": [
            {
              "type": "network",
              "id": "dc5f15f5-176e-43b6-ab8d-239614a7961d"
            }
          ]
        }
      }
    },
    {
      "id": "EUR",
      "type": "currencies",
      "attributes": {
        "code": "EUR",
        "crypto": false,
        "symbol": "€",
        "subunitToUnit": 100
      },
      "relationships": {
        "networks": {
          "data": []
        }
      }
    },
    {
      "id": "TRY",
      "type": "currencies",
      "attributes": {
        "code": "TRY",
        "crypto": false,
        "symbol": "₺",
        "subunitToUnit": 100
      },
      "relationships": {
        "networks": {
          "data": []
        }
      }
    },
    {
      "id": "8ededca3-a1cd-4b46-8c3a-14915f706ab2",
      "type": "network",
      "attributes": {
        "currencyCode": "USDT",
        "name": "Tron (TRC20)",
        "code": "ttrx:usdt"
      }
    },
    {
      "id": "c0369c57-da08-4c60-b5ee-63e1e43d5ae4",
      "type": "network",
      "attributes": {
        "currencyCode": "BTC",
        "name": "Bitcoin",
        "code": "tbtc"
      }
    },
    {
      "id": "dc5f15f5-176e-43b6-ab8d-239614a7961d",
      "type": "network",
      "attributes": {
        "currencyCode": "TRX",
        "name": "Tron",
        "code": "ttrx"
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.txn.io/channels/listing-channel-currency-pairs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
